<?php
/*
Plugin Name: localCurrency shortcode handler
Plugin URI: http://www.xoogu.com/currency-conversion-wordpress-plugin/
Description: Makes the plugin work with [localcurrency] shortcodes
Version: 2016-02-14
Author: xoogu.com
Author URI: http://www.xoogu.com/
Text Domain: xoogu-currency-conversion
*/

class Xoogu_CurrencyConversion_localCurrency
{
	protected static $sVersion = '2016-02-14';
	
	public function __construct()
	{
		add_action( 'wp_enqueue_scripts', array($this, 'registerShortcodeHandlers'), 99);
	}
	
	public function registerShortcodeHandlers()
	{
		//register the shortcode handler
		add_shortcode('localcurrency', $GLOBALS['shortcode_tags']['currencyConversion']);
	}
	
}
if (!is_admin()){
	$xcclc = new Xoogu_CurrencyConversion_localCurrency();
}
